| GET | /RestApi/translations/projects |
|---|
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;
import com.google.gson.annotations.*;
import com.google.gson.reflect.*;
public class dtos
{
public static class GetProjects implements IProjectsFilter
{
public Integer Skip = null;
public Integer Take = null;
public String OrderExpression = null;
public String SearchText = null;
public ArrayList<String> Service = null;
public ProjectStatus ProjectStatus = null;
public String ActualSourceLanguage = null;
public Boolean WithoutSourceLanguage = null;
public Integer getSkip() { return Skip; }
public GetProjects setSkip(Integer value) { this.Skip = value; return this; }
public Integer getTake() { return Take; }
public GetProjects setTake(Integer value) { this.Take = value; return this; }
public String getOrderExpression() { return OrderExpression; }
public GetProjects setOrderExpression(String value) { this.OrderExpression = value; return this; }
public String getSearchText() { return SearchText; }
public GetProjects setSearchText(String value) { this.SearchText = value; return this; }
public ArrayList<String> getService() { return Service; }
public GetProjects setService(ArrayList<String> value) { this.Service = value; return this; }
public ProjectStatus getProjectStatus() { return ProjectStatus; }
public GetProjects setProjectStatus(ProjectStatus value) { this.ProjectStatus = value; return this; }
public String getActualSourceLanguage() { return ActualSourceLanguage; }
public GetProjects setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
public Boolean isWithoutSourceLanguage() { return WithoutSourceLanguage; }
public GetProjects setWithoutSourceLanguage(Boolean value) { this.WithoutSourceLanguage = value; return this; }
}
public static enum ProjectStatus
{
NotStarted,
Started,
Completed;
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.